Reglamento general de los foros   •   FAQ   •   Buscar en el foro •  Registrarse | Iniciar sesión 



Portada » Foros Linux » Filosofía y conocimiento » Documentación


Nuevo tema Responder al tema
 [ 11 mensajes ] 
Patrocinadores
  •  Deb Linux  •  Su enlace aquí...

Autor
Buscar:
Mensaje

Desconectado
Administrador
Administrador
Avatar de Usuario

Registrado: Mar Jun 06, 2006 7:00 am
Mensajes: 3085
Ubicación: Andalucía/España

Nota Publicado: Lun Ago 20, 2012 6:19 pm 
Arriba  
Ante la gran cantidad de compañeros que usan AMD/ATI en Linux, vamos a ver un sencillo manual de instalación de los drivers binarios AMD/ATI, los drivers que se bajan de la web de AMD. Tutorial válido para Debian Squeeze/Wheezy, SolusOS Eveline/SolusOS 2 y LMDE

NOTA: Este manual es para instalaciónes limpias o instalaciones en donde no se tenga instalado el driver propietario ATI (fglrx) de repositorios. En caso de tenerlo instalado, es muy importante desinstalarlo antes de hacer nada o dará error.

NOTA 2: Consejo. Si tienes instalado el driver propietario fglrx de ATI de repositorios y te va bien, NO sigas leyendo y no toques nada. Si aún así decides llevar a cabo del manual que sea bajo tu responsabilidad.

Lo primero, ir a la web de AMD y descargar el driver de la tarjeta gráfica que tengamos, elegir modelo y arquitectura, 32 o 64-bit

AMD Graphis Drivers: http://support.amd.com/us/gpudownload/Pages/index.aspx

Captura de ejemplo:

Imagen

Una vez tengamos todos los datos de nuestra gráfica picamos en Display Results y nos lleva a otra página para descargar el driver empaquetado en .zip. Le damos a Download para descargarlo.

Ahora instalamos las dependencias necesarias. Si en Debian no se tiene sudo ejecutar como root:

Para Debian Squeeze y SolusOS Eveline:

Código:
sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++6 dkms cdbs libqtgui4 libelfg0


Y si estamos en 64-bit también necesitaremos el siguiente paquete:

Código:
sudo apt-get ia32-libs



Para Debian Wheezy, SolusOS 2 y LMDE:

Código:
sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++6 dkms cdbs libqtgui4 dh-modaliases libelfg0


Y si estamos en 64-bit también necesitaremos el siguiente paquete:

Código:
sudo apt-get ia32-libs


Cuando ya tengamos todo esto procedemos con la instalación del driver usando el método con GUI (interfaz gráfica)

Vamos a la carpeta en donde habíamos descargado antes el zip con el driver ATI, descomprimimos el zip

Ahora nos situamos con una terminal en donde tengamos el driver descomprimido e instalamos:

Código:
sudo sh amd-driver-installer-12.6-legacy-x86.x86_64.run



NOTA: (La versión del driver que he puesto es de ejemplo, cada uno debe poner la suya)


Se abrirá una interfaz gráfica donde hay que hacer click en Continue, seguir todos los pasos y si todo está correcto cerrar la terminal

Después de la instalación viene el post-precesamiento

Abrir una terminal y ejecutar:

Código:
sudo aticonfig --initial -f


Y con eso ya estaría el proceso completo. Ahora hay que reiniciar el sistema para empezar a disfrutar del nuevo driver instalado

NOTA: Yo no tengo ATI por lo cual no lo he probado. Si alguien lo prueba y nota que falta algo o hay algún error en el tutto que lo diga en los comentarios para corregirlo. Según el autor original del tutto este método es muy fácil y funciona correctamente.



Referencias: Forum SolusOS | Deb Linux

_________________
Reglamento del Foro | Yoyo308 Blog | Pisi Life | Twitter: @yoyo308 | G+: Yoyo Fernández
Antergos - KaOS - CrunchBang - OS X 10.9 Mavericks | CPU Lenovo H520S - Mac mini 6,2 Late 2012
Gnome Shell - KDE - Openbox

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Jue Abr 12, 2007 7:00 am
Mensajes: 9186
Ubicación: tras la pantalla (...)

Nota Publicado: Lun Ago 20, 2012 8:36 pm 
Arriba  
:? no habia un metodo para, con el .run, generar paquetes .deb?? eso evitaria el lio de tener que desinstalarlo primero... creo. :?

por otra parte, nada como un rapidisimo:
Código:
aptitude install ~nfglrx~n module-assistant
m-a prepare
m-a a-i fglrx
aticonfig --initial

i ? debian repos. :wink:

_________________
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

 Perfil WWW  

Desconectado
Administrador
Administrador
Avatar de Usuario

Registrado: Mar Jun 06, 2006 7:00 am
Mensajes: 3085
Ubicación: Andalucía/España

Nota Publicado: Lun Ago 20, 2012 9:14 pm 
Arriba  
Ya sabía yo que pondrías pegas, niky45, si no no serías tú ¬__¬

Pero este tutto es para saber como instalarlo desde el binario de la web de AMD, así que no lo tuyo no procede :P

_________________
Reglamento del Foro | Yoyo308 Blog | Pisi Life | Twitter: @yoyo308 | G+: Yoyo Fernández
Antergos - KaOS - CrunchBang - OS X 10.9 Mavericks | CPU Lenovo H520S - Mac mini 6,2 Late 2012
Gnome Shell - KDE - Openbox

 Perfil WWW  

Desconectado
Forista Mayor
Forista Mayor
Avatar de Usuario

Registrado: Lun Sep 26, 2011 2:01 am
Mensajes: 690
Ubicación: Mexico, DF

Nota Publicado: Lun Ago 20, 2012 9:32 pm 
Arriba  
Ademas de que es mas nuevo :).

Saludos.
Ch

 Perfil  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Jue Abr 12, 2007 7:00 am
Mensajes: 9186
Ubicación: tras la pantalla (...)

Nota Publicado: Lun Ago 20, 2012 11:52 pm 
Arriba  
Yoyo escribió:
Ya sabía yo que pondrías pegas, niky45, si no no serías tú ¬__¬

niky45 escribió:
i ? debian repos

no me lies. :P
ademas, no era TAN offtopic....
niky45 escribió:
:? no habia un metodo para, con el .run, generar paquetes .deb?? eso evitaria el lio de tener que desinstalarlo primero... creo. :?

:P
CharlieBros escribió:
Ademas de que es mas nuevo :).

Código:
511 >>> aptitude versions fglrx-source
Package fglrx-source:                       
p   1:10-9-3                                                                                          stable                                                                         650
p   1:12-6+point-1                                                                                    unstable                                                                       725
p   1:12-6+point-1+exp1   


Código:
AMD Catalyst™ 12.8 Proprietary Linux x86 Display Driver   100.5 MB   12.8

versionitis es lo que teneis. "estos dias" debian esta congelada, y por eso aun no tiene el ultimo... (bueh, y porque lleva solo 5 dias ahi. )

PD: hala, si, ya me dejo de offtopics y de desvarios... :oops:

_________________
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

 Perfil WWW  

Desconectado
Forista Mayor
Forista Mayor
Avatar de Usuario

Registrado: Lun Sep 26, 2011 2:01 am
Mensajes: 690
Ubicación: Mexico, DF

Nota Publicado: Mar Ago 21, 2012 4:44 am 
Arriba  
Mi versionitis es tal, que uso los Drivers beta :D.
Saludos.
Ch

 Perfil  

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Mar Ago 21, 2012 8:11 pm
Mensajes: 2

Nota Publicado: Mar Ago 21, 2012 8:25 pm 
Arriba  
Hola Buenas tardes a todos.

Soy nuevo en el foro y estoy insertandome en linux, arrancando por Debian.
Escribo aquí porq estoy teniendo problemas para hacer andar mi notebook con Debian Squeeze o Wheezy...

Por los drivers de ATI. Hoy vi que esta disponible la version 12.8... y ya la bajé, esta noche haré una instalación limpia de wheezy para ver si lo puedo hacer andar.

Quería saber que experiencia tuvieron..
El driver 12.6 tenia problemas con la version de xserver de wheezy (q va por la 1.12), no se éste nuevo..
Recuerdo que intenté hacer el downgrade de 1.12 a 1.11 y no me salió.. igual recién estoy aprendiendo linux tal vez hize algo mal..
Sin embargo en squeeze tampoco funciono..
Lo que me paso en squeeze fué que me dio video, pero siempre en baja resolución y cuando quería abrir aticonfig o Catalyst control center me decía que no habia ningún dispositivo ATI compatible (o un mensaje similar).

Bueno, como les fué a ustedes?

Este es mi equipo SONY VAIO VPCYB35AL. Tiene un AMD E-450 APU video Radeon HD 6320.

Espero sus respuestas! Gracias! Saludos!

 Perfil  

Desconectado
Administrador
Administrador
Avatar de Usuario

Registrado: Mar Jun 06, 2006 7:00 am
Mensajes: 3085
Ubicación: Andalucía/España

Nota Publicado: Mié Ago 22, 2012 12:48 pm 
Arriba  
Hola, Flavio

Bienvenido al foro.

Como bien digo en el mensaje que abre el hilo yo no tengo ATI (ni creo que nunca la tenga) y no podría responder a tu pregunta.

Quizás otros usuarios que usen ATI, en el hilo hay alguno, si deseen contestar

Un saludo

_________________
Reglamento del Foro | Yoyo308 Blog | Pisi Life | Twitter: @yoyo308 | G+: Yoyo Fernández
Antergos - KaOS - CrunchBang - OS X 10.9 Mavericks | CPU Lenovo H520S - Mac mini 6,2 Late 2012
Gnome Shell - KDE - Openbox

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Jue Abr 12, 2007 7:00 am
Mensajes: 9186
Ubicación: tras la pantalla (...)

Nota Publicado: Mié Ago 22, 2012 1:43 pm 
Arriba  
@Flavio Fernandes: por que no pruebas con el de repos??

es cierto que hace mucho que no uso la maquina con la ati, pero a mi en debian no me ha dado problemas. :? aka....

niky45 escribió:
por otra parte, nada como un rapidisimo:
Código:
aptitude install ~nfglrx~n module-assistant
m-a prepare
m-a a-i fglrx
aticonfig --initial

i ? debian repos. :wink:


:)

_________________
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

 Perfil WWW  

Desconectado
Forista Nuevo
Forista Nuevo

Registrado: Mar Ago 21, 2012 8:11 pm
Mensajes: 2

Nota Publicado: Mié Ago 22, 2012 4:41 pm 
Arriba  
Bueno voy a probar con una instalacion limpia de wheezy y luego voy a seguir las indicaciones que hay aqui.
Después les comento como me fué!

Saludos!!

 Perfil  

Desconectado
Forista Menor
Forista Menor
Avatar de Usuario

Registrado: Mar Feb 01, 2011 8:14 pm
Mensajes: 61
Ubicación: Argentina

Nota Publicado: Mar Feb 05, 2013 10:59 pm 
Arriba  
Disculpen que siga esto despues de tanto tiempo, es que lo que plantea aquí es justo lo que necesito pero alguno puede decirme porque el apt-get dice que no existe el dh-modaliases.

Saludos.

Olvidenlo, probe con la recomendación de nikk

aptitude install ~nfglrx~n module-assistant
m-a prepare
m-a a-i fglrx
aticonfig --initial

Y todo funciono perfecto.

Saludos.

 Perfil WWW  
Mostrar mensajes previos:  Ordenar por  
 [ 11 mensajes ] 
Nuevo tema Responder al tema

Saltar a:  


 Temas relacionados   Autor   Respuestas   Vistas   Último mensaje 
[Howto] Instalar driver Nvidia en LMDE 201012 y Debian Squeeze (32 y 64 bits)

[ Ir a página: 1, 2, 3 ]

en Documentación

Yoyo

40

10071

Dom Jun 24, 2012 9:24 am

Yoyo Ver último mensaje

[Howto] Cómo instalar el Artwork de SolusOS 2 en Debian testing (Wheezy) Gnome 3.4

en Documentación

Yoyo

3

1188

Mié Jun 27, 2012 9:32 pm

CharlieBros Ver último mensaje

Howto: Xfce 4.8 en SolusOS Eveline y en ¿Debian Squeeze?

en Documentación

Yoyo

5

1124

Lun Nov 12, 2012 8:59 pm

cooper1589 Ver último mensaje

Instalar el Artwork de LMDE en Debian Squeeze

en Documentación

Yoyo

0

2383

Mar Dic 21, 2010 4:51 am

Yoyo Ver último mensaje

[Tip] Instalar Cinnamon 1.6.1 en Debian testing (Wheezy) usando el repositorio de LMDE

en Documentación

Yoyo

2

1437

Dom Oct 14, 2012 2:07 pm

Yoyo Ver último mensaje



¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 1 invitado

No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro
No puede enviar adjuntos en este Foro

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group :: Style based on FI Subice by phpBBservice.nl :: Todos los horarios son UTC + 1 hora [ DST ]
Traducción al español por Huan Manwë
phpBB SEO